Subject: Re: [PATCH v5] powerpc: Do not make the entire heap executable

From: Florian Weimer <[email-masked]>
Date: Wed, 28 Sep 2016 15:12:57 +0200

* Jason Gunthorpe:

> Eg that 32 bit powerpc currently unconditionally injects writable,
> executable pages into a user space process.
>
> This critically undermines all the W^X security work that has been
> done in the tool chain and user space by the PPC community.

Exactly, this is how we found it.  I have pretty extensive execmod
tests, and I'm going to put them into glibc eventually.  It would be
nice to cut down the number of architectures where it will fail.
(Even if you don't believe in security hardening.)